Quassel IRC - Bug #1295

Crash upon configuring network using deleted identity
06/27/2014 01:23 AM - ObsequiousNewt

Status: Resolved Start date: 06/27/2014
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.10.0 0S: Any
Description

Create an identity, and configure a network to use said identity. Then delete that identity.

Joining to said network is now impossible (pressing "connect" essentially has no visible effect). Attempting to configure said network
causes Quassel to segfault, with the following backtrace:

Application: Quassel IRC (quassel), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xaf55f7c0 (LWP 4482))]

Thread 4 (Thread Oxabeffb40 (LWP 4484)):

#0 Oxb73fc424 in __kernel_vsyscall ()

#1 0xb35dd7ab in poll () at ../sysdeps/unix/syscall-template.S:81

#2 0xb342e20b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.s0.0

#3 0xb341f3e8 in ?7? () from /lib/i386-linux-gnu/libglib-2.0.s0.0

0xb341f76b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.s0.0
Oxafaa0e9a in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.s0.0
0xb34459ca in ?? () from /lib/i386-linux-gnu/libglib-2.0.s0.0

0xb34eaf70 in start_thread (arg=0xabeffb40) at pthread_create.c:312
0xb35ec70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129
Thread 3 (Thread 0xab353b40 (LWP 4485)):

#0 Oxb73fc424 in kernel _vsyscall ()

#1 0xb35fa392 in __Gl_clock_gettime (clock_id=1, tp=0xab352fa8) at ../sysdeps/unix/clock_gettime.c:115

#2 0xb719b8cc in ?7? () from /usr/lib/i386-linux-gnu/libQtCore.so0.4

#3 0xb72842a2 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

0xb728282b in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

0xb341e9b3 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.s0.0

0xb341f2df in ?? () from /lib/i386-linux-gnu/libglib-2.0.s0.0

0xb341f528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.s0.0

#8 0xb728295f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/i386-linux-gnu/libQtCore.so0.4

#9 0xb7251823 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/i386-linux-gnu/libQtCore.so.4

#10 0xb7251b49 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#11 0xb713e23d in QThread::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so0.4

#12 0xb75e7d43 in SessionThread::run (this=0xb7e2dd78) at /build/buildd/quassel-0.10.0/src/core/sessionthread.cpp:128
#13 0xb7140b6f in ?7? () from /usr/lib/i386-linux-gnu/libQtCore.so0.4

#14 0xb34eaf70 in start_thread (arg=0xab353b40) at pthread_create.c:312

#15 0xb35ec70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

0 N 10 O [

Thread 2 (Thread 0xaa9ffb40 (LWP 4486)):

#0 Oxb73fc424 in __ kernel_vsyscall ()

#1 0xb34eed4b in pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187

0xb35f98ec in __pthread_cond_wait (cond=0xb64d28d0, mutex=0xb64d28b8) at forward.c:149
#3 0xb63cfc92 in ?7? () from /usr/lib/i386-linux-gnu/libQtScript.so.4

0xb63cfcdf in ?? () from /ust/lib/i386-linux-gnu/libQtScript.so.4

0xb34eaf70 in start_thread (arg=0xaa9ffb40) at pthread_create.c:312

0xb35ec70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129
Thread 1 (Thread 0xaf55f7c0 (LWP 4482)):
[KCrash Handler]

#6 0xb7669f84 in Identity::Identity (this=0xb910af88, other=..., parent=0xb9056260) at
/build/buildd/quassel-0.10.0/src/common/identity.cpp:75

#7 0xb75876fc in Certldentity::Certldentity (this=0xb910af88, other=..., parent=0xb9056260) at
/build/buildd/quassel-0.10.0/src/client/clientidentity.cpp:41

#8 0xb74cfa48 in NetworksSettingsPage::displayNetwork (this=this@entry=0xb9056260, id=id@entry=...) at
/build/buildd/quassel-0.10.0/src/qtui/settingspages/networkssettingspage.cpp:488

#9 0xb74d0966 in NetworksSettingsPage::on_networkList_itemSelectionChanged (this=0xb9056260) at
/build/buildd/quassel-0.10.0/src/gtui/settingspages/networkssettingspage.cpp:610

#10 0xb74f11f8 in NetworksSettingsPage::qt_static_metacall (_o=0xb77970e8 <vtable for Identity+8>, _o@entry=0xb9056260,
_id=-1220813823, _id@entry=17, _a=_a@entry=0xbf913018, _c=<optimized out>) at
/build/buildd/quassel-0.10.0/0bj-i686-linux-gnu/src/qtui/settingspages/moc_networkssettingspage.cxx:114

#11 0xb74f1433 in gt_static_metacall (_a=0xbf913018, _id=17, _c=QMetaObject::InvokeMetaMethod, _0=0xb9056260) at
/build/buildd/quassel-0.10.0/0bj-i686-linux-gnu/src/qtui/settingspages/moc_networkssettingspage.cxx:162

#12 NetworksSettingsPage::qt_metacall (this=0xb9056260, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbf913018) at
/build/buildd/quassel-0.10.0/0bj-i686-linux-gnu/src/qtui/settingspages/moc_networkssettingspage.cxx:163

#13 0xb7259e85 in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/i386-linux-gnu/libQtCore.so0.4
#14 0xb726840d in QMetaObject::activate(QObject”, QMetaObject const™, int, void**) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#15 0xb6d54115 in QListWidget::itemSelectionChanged() () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#16 0xb6d56998 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#17 0xb72680f7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/i386-linux-gnu/libQtCore.so0.4
#18 0xb6d4205d in QltemSelectionModel::selectionChanged(QltemSelection const&, QltemSelection const&) () from
/ust/lib/i386-linux-gnu/libQtGui.so.4

#19 0xb6d478d9 in QltemSelectionModel::emitSelectionChanged(QltemSelection const&, QltemSelection const&) () from
/usr/lib/i386-linux-gnu/libQtGui.so0.4

#20 0xb6d480df in QltemSelectionModel::select(QltemSelection const&, QFlags<QltemSelectionModel::SelectionFlag>) () from
/usr/lib/i386-linux-gnu/libQtGui.so.4

#21 0xb6d12e16 in QListView::setSelection(QRect const&, QFlags<QltemSelectionModel::SelectionFlag>) () from
/ust/lib/i386-linux-gnu/libQtGui.so.4

#22 0xb6cec0f9 in QAbstractitemView::mousePressEvent(QMouseEvent*) () from /ust/lib/i386-linux-gnu/libQtGui.so.4

#23 0xb67b81e3 in QWidget::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#24 0xb6bbe78c in QFrame::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#25 0xb6c4ce4d8 in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#26 0xb6cf1dde in QAbstractltemView::viewportEvent(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#27 0xb6c4d0c6 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#28 0xb7252fbe in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from
/ust/lib/i386-linux-gnu/libQtCore.so0.4

#29 0xb675e7d1 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#30 0xb6766€ea0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#31 0xb3b791f4 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so0.5

#32 0xb7252e4a in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so0.4

#33 0xb6764b53 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,
QPointer<QWidget>&, bool) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#34 0xb67e8778 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#35 0xb67e7ec5 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#36 0xb6813524 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#37 0xb341f1e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.s0.0

#38 0xb341f468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.s0.0

#39 0xb341f528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.s0.0

#40 0xb728293b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlags) () from
/usr/lib/i386-linux-gnu/libQtCore.so.4

#41 0xb68135de in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#42 0xb7251823 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/ust/lib/i386-linux-gnu/libQtCore.so0.4

#43 0xb7251b49 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#44 0xb72578fe in QCoreApplication::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so0.4

#45 0xb675ca24 in QApplication::exec() () from /usr/lib/i386-linux-gnu/libQtGui.so.4

#46 0xb7464797 in main (argc=1, argv=0xbf914064) at /build/buildd/quassel-0.10.0/src/common/main.cpp:153

Related issues:
Has duplicate Quassel IRC - Bug #1492: Segfault when selecting a network in g... Resolved 09/11/2018

History

#1 - 08/26/2014 11:52 PM - rcthompson

I'm encountering this issue too. It's actually a major issue, because there's no way to delete or fix the broken network. Is there any workaround to
delete the network?
#2 - 08/27/2014 12:13 AM - ObsequiousNewt
rcthompson wrote:
I'm encountering this issue too. It's actually a major issue, because there's no way to delete or fix the broken network. Is there any workaround to

delete the network?

The config files are written in some arcane format, so evidently not.
#3 - 08/27/2014 12:20 AM - rcthompson
Ok, for what it's worth, | was able to get myself out of this mess by manually editing the sqlite file as follows:

$ sqlite3 quassel-storage.sqlite
sqlite> update network set identityid=2 where networkname="OFTC";

where "2" is the identityid of an existing identity, and "OFTC" was the name of the problematic network. You can figure out these values by doing
"select identityid from identity;" and "select networkname from network;".

#4 - 09/15/2018 03:55 AM - genius3000

- Has duplicate Bug #1492: Segfault when selecting a network in quasselclient configuration added

#5 - 06/16/2021 04:57 AM - phuzion

- Status changed from New to Resolved

As seen in #1409, this bug is fixed.
